#! /bin/sh
#
 ####################################################################
# Ladet die aktuellen Spielergebnisse der 2. Bundesliga herunter	#
# Created by cHrIsZ								#
# 27. Februar 2007								#
 ####################################################################
PATH=$PATH:/usr/bin/:/usr/local/bin

#DATADIR=$1
DATADIR=/etc/vdr/plugins/sport
SORT="$DATADIR/2BL_Ergebnisse.pl"

ZWEITEBLURL="http://sport.ard.de/sp/layout/php/ticker/index.phtml?ea=2bl07"
GET1="wget -O - -q"

echo "2BL_Ergebnisse.sh DATADIR = $DATADIR"

CONTENTZWEITEBL=`$GET1 $ZWEITEBLURL |sed -e '/<tr.*td.*/!d' -e '/<tr.*td.*/{n;!p;}'|sed  -e 's/1. FC Kaiserslautern/Kaiserslautern/' -e 's/Carl Zeiss/Ca.Ze./' -e 's/Wacker/Wa./' -e 's/TSV//' -e 's/SpVgg/SV/' -e 's/Eintracht/Ein./' -e 's/Rot-Weiss Essen/Rot Weiss Essen/' -e 's/.*[0-9][0-9][0-9]">/ /' -e 's/<\/a><\/td>/ /' -e 's/.*stat.*[0-9,:]">//' -e 's/<.*\/td>//'  -e 's/\(.*-.*\)/\1\n/' |grep -v "<.*>"` 



ZWEITEBLERGEBNISSE="$DATADIR/2BL_Ergebnisse.txt"



IFS=""

for i in $CONTENTZWEITEBL
do
  START=`echo "$i"|grep \-`
  if [ "$START"x != "x" ]
  then
    echo "$i"
    echo ""
  else
    echo ""
    echo "$i"
  fi
done

echo $CONTENTZWEITEBL | $SORT > $ZWEITEBLERGEBNISSE